support earlier Playwright versions

Version 1.7.0 is the first one where the version of Node in the Docker
image supports top-level await.
Conduitry 2 months ago
parent 9c67b05052
commit 09e5bf44e7
  1. 2
      cloudflare-playwright.sh
  2. 2
      package.json

@ -1,3 +1,3 @@
#!/bin/sh
cd "$(dirname "$(readlink --canonicalize "$0")")"
docker run --rm --volume "$PWD":/app:ro mcr.microsoft.com/playwright:v$(node --eval='console.log(require("playwright-core/package.json").version)') node /app $1
docker run --rm --volume "$PWD":/app:ro mcr.microsoft.com/playwright:v$(node --eval='console.log(require("./node_modules/playwright-core/package.json").version)') node /app $1

@ -1,6 +1,6 @@
{
"type": "module",
"dependencies": {
"playwright-core": "^1.16.2"
"playwright-core": "^1.7.0"
}
}

Loading…
Cancel
Save